#32/64

Name:           grandorgue
Version:        0.3.1.0
Release:        %mkrel 1

Summary:        Virtual Pipe Organ Software
Group:          Sound
License:        GPLv2
URL:            http://sourceforge.net/projects/ourorgan/
Source:         http://sourceforge.net/projects/ourorgan/%{name}-%{version}.tar.xz
Patch0:         %{name}-%{version}.patch
BuildRequires:  desktop-file-utils
BuildRequires:  cmake
BuildRequires:  %{_lib}alsa2-devel
BuildRequires:  %{_lib}jack-devel
BuildRequires:  %{_lib}xslt-devel
BuildRequires:  %{_lib}wxgtk2.8-devel
BuildRequires:  gettext-devel
BuildRequires:  docbook-style-xsl
BuildRequires:  po4a


%description
GrandOrgue is a virtual pipe organ sample player application supporting
a HW1 compatible file format.


%prep
%setup -q
%patch0 -p1

%build
cmake -DUNICODE=1 \
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_SKIP_RPATH=1 \
      -DVERSION_REVISION="`echo %{version}|cut -d. -f4`"
%make 

%install
rm -rf %{buildroot}
%makeinstall_std 

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--remove-category="Music" \
	--remove-category="Education" \
	--add-category="X-MandrivaLinux-Multimedia-Audio" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

convert %buildroot/%{_datadir}/pixmaps/GrandOrgue.png -resize 48x48  \
%buildroot/%{_datadir}/pixmaps/GrandOrgue.png


%find_lang GrandOrgue



%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database
%update_menus


%postun
%clean_menus


%files -f GrandOrgue.lang
%defattr(-,root,root)
%doc AUTHORS README README.translate *.txt
%{_bindir}/GrandOrgue
%{_datadir}/GrandOrgue
%{_datadir}/applications/GrandOrgue.desktop
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/*
%{_mandir}/man1/*


%changelog
* Sat Oct 05 2013 Ken <lxgator at gmail.com> 0.3.1.0-1pclos2013
- Create pkg
